Stack Exchange Network

Stack Exchange network consists of 175 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [package-repositories]

for questions about repositories of Emacs packages on well-known servers, such as ELPA, MELPA, and Marmalade. Emacs uses library package.el to install and download updates to packages you choose.

0
votes
0answers
11 views

emacs-omnisharp unable to use unity project files

I'm using emacs-omnisharp to try to complete a project with Unity, but the omnisharp server doesn't seem to be able to open or use the project data. I know that the server works because I get ...
1
vote
0answers
33 views

MELPA no longer works: error in process sentinel: End of file during parsing

MELPA no longer updates after no changes of mine. With a minimal .emacs of (require 'package) (add-to-list 'package-archives '("melpa" . "https://melpa.org/packages/") t) (add-to-list 'package-...
1
vote
2answers
50 views

Package `emacs-25' is unavailable, trouble installing things from repository

I understand this has been asked before... I've done some research and found that emacs25 is not worth the transition. However I can't install many packages because they depend on it. Is there a way ...
3
votes
1answer
35 views

Is it normal for a package to request [sudo] in order to install a package? (this case pdf-tools) concerned about password integrity

I installed pdf-tools through MELPA, and then labels it as installed on a restart but kept viewing pdfs through doc-view. So using M-x pdf-tools-install it requested the sudo password in order to ...
2
votes
0answers
101 views

AUCTeX is obsolete on GNU ELPA?

I got this warning when installing AUCTeX from GNU ELPA. The package is installed, but I don't want to use obsolete packages for obvious reasons. I have check the official website of AUCTeX, and it ...
0
votes
2answers
55 views

Can't connect to package managers on multiple computers

I just did a clean install of emacs 26.1 on multiple computers running different OS (Ubuntu, Mint, Windows), and for some reason I cannot update my packages using M-x refresh-package-contents. I've ...
1
vote
0answers
71 views

Error on package-list-packages

I've started to get the following errors when running package-list-packages. Searching online hasn't come up with anything. If anyone can suggest a cause and/or a solution I'd be very grateful. ...
0
votes
1answer
40 views

Can't install packages without root permission

I only can install packages as a root user (or with sudo) If I tying to install package, or just update the package contents, I get this error: Debugger entered--Lisp error: (error "/80 Name or ...
2
votes
0answers
210 views

gpg fails to find key to elpa archive

I'm getting this error while trying download a package from ELPA: Failed to verify signature archive-contents.sig: No public key for 474F05837FBDEF9B created at 2018-11-28T14:10:03-0800 using DSA ...
1
vote
1answer
197 views

Cannot install helm from MELPA

For some reason, I am unable to install helm. My configuration is: (require 'package) (add-to-list 'package-archives '("melpa" . "http://melpa.milkbox.net/packages/")) (package-...
0
votes
1answer
109 views

Automatically installing a built-in package from MELPA [duplicate]

This post is asking this question more clearly and concisely. My code contains the following function to install dependencies: (defun literef-install-packages() "Install any missing packages. The ...
0
votes
1answer
23 views

How to use the same melpa directoy for different emacs distrubitions

I have several emacs distributions (scimax, spacemacs, vanilla emacs, etc.) which all uses their own melpa directory. I want them all to use the same elpa (or melpa or gnu) directory to save some ...
3
votes
1answer
498 views

`org-bullets` - No longer needed

For a while, I've been getting the message Package menu: Operationfinished. 1 package no longer needed, type 'M-x package-autoremove' to remove them The package is org-bullets, very spread package ...
3
votes
1answer
73 views

use-package ensure not working: package downloaded but gives warning and skips config [duplicate]

I have the following code in my init.el file: (use-package org-plus-contrib :ensure t :config (progn (require 'ox-extra) (ox-extras-activate '(ignore-headlines)))) The :ensure t ...
1
vote
1answer
64 views

Confusing ELPA types

When listing ELPA packages (Mac running Emacs 26.1), I see two status types that beg questions: dependency and incompat. A dependency package does get automagically loaded but it also may be removed ...
0
votes
2answers
73 views

Where do folks go to search for elisp packages

I'm looking for a package that converts United States to us Netherlands to nl Where does one go to find Elisp packages? For Ruby there's rubygems.org, for example.
-1
votes
1answer
58 views

Updating cider to 20180624 hangs while compiling

When upgrading cider, emacs hangs while compiling cider-repl-handle-shortcut: I am running emacs 25.3~1.gite0284ab-kk1+16 on Ubuntu 16.04.4 LTS. The compile log buffer after C-g shows: Compiling ...
0
votes
0answers
19 views

Package list constantly shows new items

Everytime I do M-x list-packages emacs lists a load of new packages. That's great but it used to expire this list if I'd already seen them. Now it doesn't, it simply lists the same new ones again. ...
1
vote
1answer
192 views

M-x package-autoremove is blocked by system packages

Emacs doesn't want to autoremove packages from elpa because some of them are system packages. How can I launch autoremove ignoring system packages? Error enabling Flyspell mode: (stringp nil)106 ...
2
votes
0answers
52 views

Are there any lisp projects like jazz band?

I was curious is there anything like https://jazzband.co/ but for emacs lisp where you can submit packages so that they can be submitted / maintained by a group rather than an individual ?
2
votes
0answers
121 views

How to list all the packages installed from source

Is there a way to list all the packages originally installed via package-install-file? Looking at the results of package-list-packages, it doesn't differentiate between different installation methods....
1
vote
1answer
63 views

How to submit feedback to GNU ELPA?

I'm using cask and I usually reinstall all my packages every other day. Lately I have noticed a lot of Bad request responses from ELPA. I have to retry a few times before all the packages get fetched. ...
1
vote
1answer
124 views

Error with org-fstree: Symbol's function definition is void: reduce

I want to use the package org-fstree (MELPA Link). But in a file when I press C-c C-c at #+BEGIN_FSTREE: ~/ I get the following error: Symbol's function definition is void: reduce I am not sure ...
2
votes
2answers
381 views

list-packages crashes Emacs 25.3 (Mac) when MELPA is added to .emacs

M-x list-packages crashes Emacs after I added: (add-to-list 'package-archives '("melpa" . "https://melpa.org/packages/")) after (package-initialize). (package-initialize) alone works ...
14
votes
3answers
2k views

Dired+ missing from MELPA

I am trying to install dired+ from MELPA but it seems that it no longer is listed. I also checked here: https://melpa.org/ Is this normal?
0
votes
1answer
780 views

Emacs 27 MELPA connection failure on macOS

I have been trying to install packages ivy, counsel, and swiper on Emacs 27 prelude. Starting Emacs results in the following error: Warning (initialization): An error occurred while loading ‘/Users/...
1
vote
1answer
296 views

Loading ~/.emacs: cannot open load file, php-mode

GNU Emacs 24.5.1, installed MELPA, installed php-mode. The directory ~/.emacs.d/elpa/php-mode-20180105.541/ exists. I added the following lines to .emacs: (add-to-list 'load-path "~/.emacs.d/elpa") (...
2
votes
1answer
272 views

elpa certificate could not be verified

When I run package-list-packages, I'm getting an error: The TLS connection to elpa.gnu.org:443 is insecure for the following reason: certificate could not be verified I found a few other ...
3
votes
1answer
2k views

How do I work out what the problem is with the emacs package system?

I am trying to set up emacs (on cygwin / Win10) to handle JSON. I started with joshwnj/json-mode and was stoked to discover that emacs will now install its own dependencies from online repos. Fab ...
0
votes
0answers
33 views

Cannot access gnu.org from macOS

I am using a MacBookPro with macOS High Sierra 10.13.2 using Chrome as a browser. I cannot access elpa.gnu.org or www.gnu.org. As a result my emacs installation does not work anymore.
1
vote
0answers
128 views

How to override spacemacs package to use new ELPA version instead of pinned version

I'd like to use csv-mode 1.7 from ELPA, but spacemacs (develop branch) wants to use the pinned version spacemacs/.cache/stable-elpa/25.1.1/spacelpa-0.300/csv-mode-1.6.el (even if I delete that file ...
1
vote
1answer
108 views

SLIME 2.20 obsolete

Why the status of SLIME 2.20 (Superior Lisp Interaction Mode for Emacs) is taged as obsolete in emacs melpa considering it actually is the newest version of SLIME right now (2017/11/20).
0
votes
1answer
207 views

How do I install `mmm-mode` (through MELPA)?

mmm-mode is available on Melpa. Yet both `M-x` `list-packages` `C-s` `mmm-mode` and `M-x` `package-install` `mmm-mode` suggest that it's not. How do I install mmm-mode (through MELPA)?
1
vote
0answers
174 views

Cannot load markdown-mode

Problem I've recently switched to NixOS and I'm having a couple of problems with my init.el. One I think is NixOS related and so I won't elaborate here, but I can't think of any NixOS component to ...
0
votes
0answers
67 views

Accidentally deleted Ivy. Now what?

I went to M-x list-packages and accidentally deleted Ivy. How do I get it back in M-x list packages now?
3
votes
2answers
232 views

Keep spacemacs from retrieving package archives at startup

I'm trying to figure out a way to speed up my spacemacs start time. The main offender at the moment is the refreshing of package archives at start. I was hoping that setting dotspacemacs-check-for-...
0
votes
0answers
92 views

How to get path to library installed through elpa

I have Emacs installed on multiple machines, and every time I install yasnippet through elpa. As it's version changes, it is being installed into different directories. For example: #first machine ~/....
0
votes
1answer
183 views

How can I replace in my .emacs all these `require` with `package.el` and `MELPA`?

My .emacs still uses old-style (pre MELPA, pre package.el) initializations. Current (this works) I'll use web-mode as a concrete example. If I manually download web-mode.el and put it in ~/elisp, ...
0
votes
0answers
505 views

Emacs init with spacemacs fails all the time - Error connection time out for melpa repository

I installed GNU Emacs 25.2.1 64bit and downloaded spacemacs the way it is described in their git repo. Now when starting up through runemacs.exe the following output occurs: Warning (spacemacs): ...
2
votes
1answer
53 views

emacs function to add include

When I edit C/C++ files time to time in the middle of buffer, I decide to add #include at the begin of buffer. Save position jump to begin of buffer, then insert suitable line, then jump back is ...
0
votes
2answers
186 views

Can't install Plantuml-mode — MELPA Package list Incomplete (Mac)

I'm trying to install plantuml-mode based on the instructions here: https://github.com/skuro/plantuml-mode I'm told to try the following: M-x package-install<RET> plantuml-mode<RET> ...
0
votes
2answers
146 views

Error encountered when adding melpa to package-archives

I'm using emacs 25.2.1 (built from source). A strange problem happened after I tried to configure it for editing tex files. The suspicious config file content is listed below. (require 'package) (...
5
votes
3answers
143 views

How to migrate snippets of scripts into my own packages?

While there are many docs on how to write packages, mirror your own package git repo's ... etc. This seems quite a heavy solution. What would be a good approach to having some local packages which ...
0
votes
1answer
1k views

Package 'emacs-25' is unavail

I'm using Ubuntu 16.04 with Emacs 24.5 If I run: M-x package-refresh-contents [RET] I get back the message: Contacting host: melpa.org:443 If I try to install this package with: M-x package-...
1
vote
0answers
107 views

Pinning version of a “core” package

How can I pin a version of "smartparens". I thought If I add this to dotspacemacs-additional-packages: (smartparens :location (recipe :fetcher github :repo "Fuco1/smartparens" ...
8
votes
3answers
650 views

How to generate and activate autoloads for local packages?

It is clear that not all local/custom/personal packages should be officially released, and it would be silly to do so just to benefit from built-in package management support. I'm wondering how to ...
6
votes
2answers
245 views

How to view package Full Description (commentary section) inside Emacs

I'm looking for a way to visualize inside Emacs the Full Description of a package as shown in Elpa index page. For example the undo-tree package has a nice and comprehensive help page/description ...
12
votes
2answers
3k views

TLS connection to marmalade-repo.org:443 is insecure after updating to Emacs 25

When I run M-x list-packages I get the following error with Marmalade after updating to Emacs 25. Certificate information Issued by: COMODO RSA Domain Validation Secure Server CA Issued to: ...
0
votes
1answer
84 views

Json-Mode / Puppet-Mode unset common functions when installed with use-package

I'm facing a weird issue in my init.el. Installing packages such as json-mode or puppet-mode (from MELPA Stable) with use-package unsets common functions like forward-word or backward-kill-word. The ...
1
vote
1answer
374 views

Problems with upgrading to org-mode 9 and org repository

I have Emacs 25.1 (9.0) on macOS Sierra from Homebrew and M-x org-version shows version 8.2.10. On org-mode official website, I've seen that the latest version is 9.0. It's not that I'd use any of the ...